Redmine - Defect #1813

Change of tracker loses work
2008-08-27 04:20 - Ewan Makepeace

Status: Closed Start date: 2008-08-27
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 0.9.0

Resolution: Fixed Affected version:

Description

We have an unusually slow network here in Indonesia (our Redmine is running in US) and so this may not be a serious issue for
others, but when | create a new issue and then change the tracker from the default to another type there is 2-3 seconds delay before
all the fields have refreshed.

| often forget this and start typing - | can sometimes get a sentence into an issue report and then have my typing discarded as all the
fields refresh for the new tracker.

Since all the (default) fields seem to be the same for all the trackers | dont understand why this happens - could not the first two fields
at least (Subject and Description) remain on screen regardless of tracker type and so be safe to type in?

Sorry if this seems petty, but it happens a lot!

History

#1 - 2009-01-03 14:41 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

I've tested with current trunk and FF3 / IE6.
Standard and custom fields values are preserved when changing the tracker on the new issue form.
Please reopen if needed.

#2 - 2009-04-17 10:44 - Ewan Makepeace

- Status changed from Closed to Reopened

This is not a big deal so feel free to reclose again if you like!
The exact sequence to reproduce is this:

1) Create a new issue

2) Change the tracker

3) While the 'spinning wheel' cursor is still showing mid page start to type the subject and/or description (typically a 5 sec window)
4) When the change of tracker finishes loading any text typed after changing tracker is lost.

| know this sounds a bit dumb, but sometimes you assume that the page has finished reloading (there is no visible indication when it is done except
the Loading wheel goes away - and it is not very obvious) and then lose work. Would not have reported this if it had not happened dozens of times.

#3 - 2009-04-24 19:16 - Jean-Philippe Lang

Well, 5 sec is pretty slow to reload the form :-)
I never had this issue since form reloading is almost immediate.
The only solution | see would be to disable the fields while the form gets reloaded.

#4 - 2009-04-24 23:34 - Ewan Makepeace
My thought was that since the subject and description fields are common across all trackers could they not be moved up to the part of the page that

does not get reloaded (with the tracker field)?

#5 - 2009-12-27 09:51 - Jean-Philippe Lang

- Category changed from Issues to Ul

2025-05-17 1/2




- Status changed from Reopened to Closed

- Target version set to 0.9.0

This was done in r3108.
